#cython: language_level=3

from .capi.obitypes cimport obiint_t
from .capi.obidmscolumn cimport OBIDMS_column_p
                                                
from ._obidms cimport OBIDMS_column


cdef class OBIDMS_column_int(OBIDMS_column):
    cpdef object get_item(self, size_t line_nb, str element_name)
    cpdef set_item(self, size_t line_nb, str element_name, obiint_t value)
    cpdef close(self)
    
cdef class OBIDMS_column_int_writable(OBIDMS_column_int):
    cpdef set_item(self, size_t line_nb, str element_name, obiint_t value)
    cpdef close(self)
