#cython: language_level=3


from libc.stdint cimport int32_t


cdef extern from *:
    ctypedef char* const_char_p "const char*"


cdef extern from "obidmscolumn.h" nogil:

    ctypedef int32_t obiversion_t


cdef extern from "obitypes.h" nogil:

    enum OBIType:       # TODO je sais pas si ça sert de declarer le contenu de l'enum
        OBI_VOID = 0,
        OBI_INT,
        OBI_FLOAT,
        OBI_BOOL,
        OBI_CHAR,
        OBI_IDX
    
    ctypedef OBIType OBIType_t
    
    enum OBIBool:
        pass
    
    ctypedef OBIBool obibool_t
    ctypedef int32_t obiint_t
    ctypedef double obifloat_t
    ctypedef char obichar_t  
    ctypedef size_t obiidx_t

    extern obiint_t   OBIInt_NA
    extern obiidx_t   OBIIdx_NA
    extern obifloat_t OBIFloat_NA
    extern obichar_t  OBIChar_NA
    extern obibool_t  OBIBool_NA

    char* name_data_type(int data_type)
