#cython: language_level=3

from .capi.obitypes cimport obifloat_t
from .capi.obidmscolumn cimport OBIDMS_column_p
                                                
from ._obidms cimport OBIDMS_column


cdef class OBIDMS_column_float(OBIDMS_column):
    cpdef object get_item(self, size_t line_nb, str element_name)
    cpdef set_item(self, size_t line_nb, str element_name, obifloat_t value)
    cpdef close(self)
    
cdef class OBIDMS_column_float_writable(OBIDMS_column_float):
    cpdef set_item(self, size_t line_nb, str element_name, obifloat_t value)
    cpdef close(self)
